Bug 28175 - Usability improvements to uploads page
Summary: Usability improvements to uploads page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 28170
Blocks: 28177
  Show dependency treegraph
 
Reported: 2021-04-20 12:25 UTC by Owen Leonard
Modified: 2021-07-16 13:38 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Some general improvements have been made to the "Upload" page in the Tools section: An "Upload" toolbar button is now present on upload results and search results pages; Search forms now appear in the sidebar if you're not on the main page; Upload categories are shown in search results as full descriptions linked to a search for that category.
Version(s) released in:
21.11.00


Attachments
Bug 28175: Usability improvements to uploads page (5.00 KB, patch)
2021-04-20 13:00 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28175: Usability improvements to uploads page (5.05 KB, patch)
2021-04-22 20:13 UTC, David Nind
Details | Diff | Splinter Review
Bug 28175: (follow-up) Adapt layout when there are no upload categories (1.36 KB, patch)
2021-04-23 16:07 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28175: (follow-up) Preselect correct category after search (2.75 KB, patch)
2021-06-22 19:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28175: Usability improvements to uploads page (5.03 KB, patch)
2021-07-03 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28175: (follow-up) Adapt layout when there are no upload categories (1.42 KB, patch)
2021-07-03 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28175: (follow-up) Preselect correct category after search (2.81 KB, patch)
2021-07-03 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-04-20 12:25:19 UTC
I propose a few changes to the uploads page to make it easier to work with:

- Add a toolbar with an "Upload" button so that it can be accessed from the upload results or search results views
- On views other than the "main" view, add search forms to the sidebar
- Show the upload category description instead of the code
- Link the upload category in search results to a search for that category
Comment 1 Owen Leonard 2021-04-20 13:00:42 UTC Comment hidden (obsolete)
Comment 2 David Nind 2021-04-22 20:13:12 UTC
Created attachment 120025 [details] [review]
Bug 28175: Usability improvements to uploads page

This patch makes a variety of changes to the uploads page in order to
improve usability:

- Add a toolbar with an "Upload" button so that it can be accessed from
  the upload results or search results views
- On views other than the "main" view, add search forms to the sidebar
  - The search form markup has been modified somewhat in order to make
    it work well in both the sidebar and the main body of the page.
- Show the upload category description instead of the code
- Link the upload category in search results to a search for that
  category

The "enctype" attribute has been removed from the search forms because
it is unnecessary and causes form resubmission errors in some browsers
(Firefox at least).

To test, apply the patch and make sure you have at least one entry under
Authorized values for the category UPLOAD.

- Go to Tools -> Upload.
- Upload a file, adding a category as you do so.
- On the upload results page, test that the "Upload file" button
  returns you to the main upload page.
- On the upload results or search results view, confirm that the "Search
  uploads by category" and "Search uploads by name" forms work
  correctly.
- When viewing upload or search results, confirm that the category
  discription is shown instead of the code. Confirm that the category is
  a link to a search for other files in that category.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Owen Leonard 2021-04-23 16:07:13 UTC
Created attachment 120121 [details] [review]
Bug 28175: (follow-up) Adapt layout when there are no upload categories

This patch adds some logic to the uploads template so that if there are
no upload categories there isn't an empty space on the page where the
"Search by category" form would be.
Comment 4 Katrin Fischer 2021-06-14 21:17:19 UTC
It's a small thing but I wonder if we could fix it here or should move it to a separate bug. 

The test plan contains testing the filters for for the upload categories.

I noticed when I search for the second category in my list, the filter jumps back to the first entry, so it gives a wrong impression on what was searched for.

Could we make the filter stick and also add an empty entry for the initial search screen?
Comment 5 Owen Leonard 2021-06-22 19:13:30 UTC
Created attachment 122302 [details] [review]
Bug 28175: (follow-up) Preselect correct category after search

This patch modifies the script and template so that if the user submits
a search by category, that category will be preselected on the search
results page.

Also added is an empty "Choose" option so that a search category isn't
selected by default.

To test, apply the patch and view the uploads page.

 - In the category search form, a "Choose" option should be selected.
   Submitting the form without selecting a category should not work.
 - Search using one of your existing categories. On the search results
   page the category you selected should remain selected.
Comment 6 Katrin Fischer 2021-07-03 21:43:27 UTC
Created attachment 122581 [details] [review]
Bug 28175: Usability improvements to uploads page

This patch makes a variety of changes to the uploads page in order to
improve usability:

- Add a toolbar with an "Upload" button so that it can be accessed from
  the upload results or search results views
- On views other than the "main" view, add search forms to the sidebar
  - The search form markup has been modified somewhat in order to make
    it work well in both the sidebar and the main body of the page.
- Show the upload category description instead of the code
- Link the upload category in search results to a search for that
  category

The "enctype" attribute has been removed from the search forms because
it is unnecessary and causes form resubmission errors in some browsers
(Firefox at least).

To test, apply the patch and make sure you have at least one entry under
Authorized values for the category UPLOAD.

- Go to Tools -> Upload.
- Upload a file, adding a category as you do so.
- On the upload results page, test that the "Upload file" button
  returns you to the main upload page.
- On the upload results or search results view, confirm that the "Search
  uploads by category" and "Search uploads by name" forms work
  correctly.
- When viewing upload or search results, confirm that the category
  discription is shown instead of the code. Confirm that the category is
  a link to a search for other files in that category.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-07-03 21:43:31 UTC
Created attachment 122582 [details] [review]
Bug 28175: (follow-up) Adapt layout when there are no upload categories

This patch adds some logic to the uploads template so that if there are
no upload categories there isn't an empty space on the page where the
"Search by category" form would be.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2021-07-03 21:43:35 UTC
Created attachment 122583 [details] [review]
Bug 28175: (follow-up) Preselect correct category after search

This patch modifies the script and template so that if the user submits
a search by category, that category will be preselected on the search
results page.

Also added is an empty "Choose" option so that a search category isn't
selected by default.

To test, apply the patch and view the uploads page.

 - In the category search form, a "Choose" option should be selected.
   Submitting the form without selecting a category should not work.
 - Search using one of your existing categories. On the search results
   page the category you selected should remain selected.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2021-07-03 22:09:37 UTC
I'd be ok treating the follow-up as a QA one and keep the sign-off from David. Setting to PQA.
Comment 10 Jonathan Druart 2021-07-12 13:49:26 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 11 Kyle M Hall 2021-07-16 13:38:18 UTC
Enhancement not backported for 21.05